Probable solution to '505: HTTP Version Not Supported'

Forum rules
Get Help using the Schedules Direct service. NOTE: application issues are probably better resolved via the application's support methods. If you post here, at least include your application name!
rmeden
SD Board Member
Posts: 1563
Joined: Tue Aug 14, 2007 2:31 pm
Location: Cedar Hill, TX
Contact:

Re: Probable solution to '505: HTTP Version Not Supported'

Post by rmeden »

Could people having 505 trouble try to replicate the problem using one of these URLs ( similar to your existing one)

Code: Select all

http://webservices.stage.schedulesdirect.tmsdatadirect.com/schedulesdirect/tvlistings/xtvdService"/>
http://docs.tms.tribune.com/tech/tmsdatadirect/schedulesdirect/stage/tvDataDelivery.wsdl
That's the staging server. Once the problem is confirmed there, Tribune will try a fix there.

Robert

Glenn1963
Posts: 7
Joined: Wed Jul 14, 2010 2:36 pm

Re: Probable solution to '505: HTTP Version Not Supported'

Post by Glenn1963 »

Using the first staging server with WiRNS, an HTTP 1.1 request gives me the 505 error.

An HTTP 1.0 request gives me a (401) Unauthorized.

-G

htewam
Posts: 2
Joined: Fri Jul 16, 2010 6:31 pm

Re: Probable solution to '505: HTTP Version Not Supported'

Post by htewam »

I've updated my GBPVR config.xml file to use the staging URL suggested above... I'm getting the same 505 error so I presume I am hitting the correct location. My updates are daily so hopefully this will give Tribune some additional data to munch on to try to diagnose the issue.

tmetzfire
Posts: 5
Joined: Wed Jul 14, 2010 6:04 pm

Re: Probable solution to '505: HTTP Version Not Supported'

Post by tmetzfire »

I have currently switched to using I-xmltv which is a specially written utility that utilizes xmltv that easily integrates into GB-PVR. So far everything works just fine with the current setup.

rmeden
SD Board Member
Posts: 1563
Joined: Tue Aug 14, 2007 2:31 pm
Location: Cedar Hill, TX
Contact:

Re: Probable solution to '505: HTTP Version Not Supported'

Post by rmeden »

Glenn1963 wrote:Using the first staging server with WiRNS, an HTTP 1.1 request gives me the 505 error.

An HTTP 1.0 request gives me a (401) Unauthorized.
I don't know when the staging server was last synced with production. Have you recently changed your username/password?

I'm still waiting to hear from Tribune that the fix is in staging so we can test. There have been multiple reports that the problem exists in staging (which is good).

Robert

doomed999
Posts: 1
Joined: Wed Jul 14, 2010 12:08 am

Re: Probable solution to '505: HTTP Version Not Supported'

Post by doomed999 »

spdygnlz wrote:
rmeden wrote:GB-PVR seems to be the only application affected.
I'm having the same problem in MediaPortal
For MediaPortal there is an update for the plugin to address this issue.

The only issue I have now is my line up disappeared today :(

Glenn1963
Posts: 7
Joined: Wed Jul 14, 2010 2:36 pm

Re: Probable solution to '505: HTTP Version Not Supported'

Post by Glenn1963 »

rmeden wrote:I don't know when the staging server was last synced with production. Have you recently changed your username/password?
I don't believe I have ever changed it in the last 2+ years. Apparently not a stickler for security :oops:

ForTheRecord
Posts: 7
Joined: Thu Mar 05, 2009 4:27 am

Re: Probable solution to '505: HTTP Version Not Supported'

Post by ForTheRecord »

rmeden wrote:GB-PVR seems to be the only application affected.
Same problems (505) reported by ForTheRecord users.

reverson1
Posts: 3
Joined: Tue Jul 20, 2010 8:41 am

Re: Probable solution to '505: HTTP Version Not Supported'

Post by reverson1 »

I'm using fortherecord and I've been having this 505 error since at least the 16th (first time I noticed it).

I was told over there that I should monitor this thread for updates.

Has this issue been resolved?

If so, is a code change needed in fortherecord for this to be corrected?

If not, is there any idea as to when this should be resolved?

Thank you,
Richard

reverson1
Posts: 3
Joined: Tue Jul 20, 2010 8:41 am

Re: Probable solution to '505: HTTP Version Not Supported'

Post by reverson1 »

Can anyone help me with this please? I've been having this issue for at least 5 days now.
Thank you,
Richard


EDIT: NM, this apparently is a coding issue in 4tr and I've found a temporary workaround by using mc2xml.

Post Reply